Bug 986091 - [abrt] system-switch-java-1.1.5-5.fc18: switch_java_functions.py:132:get_java_identifiers:IndexError: list index out of range
[abrt] system-switch-java-1.1.5-5.fc18: switch_java_functions.py:132:get_java...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-switch-java (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
abrt_hash:0d6563eca82a3aff25cb53b4156...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 19:56 EDT by Giuseppe
Modified: 2014-02-05 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:09:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (987 bytes, text/plain)
2013-07-18 19:56 EDT, Giuseppe
no flags Details
File: core_backtrace (292 bytes, text/plain)
2013-07-18 19:56 EDT, Giuseppe
no flags Details
File: environ (182 bytes, text/plain)
2013-07-18 19:56 EDT, Giuseppe
no flags Details

  None (edit)
Description Giuseppe 2013-07-18 19:56:35 EDT
Version-Release number of selected component:
system-switch-java-1.1.5-5.fc18

Additional info:
reporter:       libreport-2.1.5
cmdline:        python /usr/sbin/system-switch-java
executable:     /usr/sbin/system-switch-java
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
switch_java_functions.py:132:get_java_identifiers:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/sbin/system-switch-java", line 89, in <module>
    main()
  File "/usr/sbin/system-switch-java", line 50, in main
    java_identifiers, best_identifier = get_java_identifiers()
  File "/usr/share/system-switch-java/switch_java_functions.py", line 132, in get_java_identifiers
    best_identifier = java_identifiers[best]
IndexError: list index out of range

Local variables in innermost frame:
java_search: None
java: '1.7.0-openjdk.x86_64'
alternatives: ['/usr/java/default/bin/java', '/usr/lib/jvm/jre-1.7.0u04-sun-x64/bin/java', '/usr/java/latest/jre/bin/java', '/usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/java', '/usr/java/jdk1.7.0_21/jre/bin/java']
java_expression: <_sre.SRE_Pattern object at 0x12bc9a0>
java_identifiers: ['1.7.0u04-sun-x64', '1.7.0-openjdk.x86_64']
best_identifier: None
alternative: '/usr/java/jdk1.7.0_21/jre/bin/java'
best: 3
Comment 1 Giuseppe 2013-07-18 19:56:39 EDT
Created attachment 775576 [details]
File: backtrace
Comment 2 Giuseppe 2013-07-18 19:56:41 EDT
Created attachment 775577 [details]
File: core_backtrace
Comment 3 Giuseppe 2013-07-18 19:56:44 EDT
Created attachment 775578 [details]
File: environ
Comment 4 jiri vanek 2013-07-20 05:35:43 EDT
May I ask what was the steps leading to this error?
Especially installed java packages.

The system switch java was never designed to work with proprietary blob. However  it may be working (if system si properly configured).

Just note - the oracle RPM's are NOT comaptible with feodra. They are actually hurting your system.
If you really have to use it, then use the zip files. Unpack, and setup manually - best in some kind of chrot, as you will probably need to modify PATH or various symlinks.

There was nice tutorial for this - especially part 2: http://fedora.cz/radosti-a-strasti-s-javou-a-jejim-pluginem-23/
and part 3 - http://fedora.cz/radosti-a-strasti-s-javou-a-jejim-pluginem-33/.
(and for completeness maybe part 1 - http://fedora.cz/radosti-a-strasti-s-javou-a-jejim-pluginem-12/) - However they are In czech language but some automatic translator with code snippets may help.
Comment 5 Omair Majid 2013-10-17 17:51:15 EDT
(In reply to jiri vanek from comment #4)
> May I ask what was the steps leading to this error?

1. yum install java-1.7.0-openjdk-devel java-1.5.0-gcj-devel
2. system-switch-java.

This is really the same problem as bug 1020005 with alternatives assuming paths (instead of parsing the alternatives file it just read).
Comment 6 Fedora End Of Life 2013-12-21 09:21:23 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 17:09:13 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.